Bug 2276961 (CVE-2024-32658) - CVE-2024-32658 FreeRDP: ExtractRunLengthRegular* out of bound read
Summary: CVE-2024-32658 FreeRDP: ExtractRunLengthRegular* out of bound read
Keywords:
Status: NEW
Alias: CVE-2024-32658
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2276964 2276963 2276965 2276966 2276967
Blocks: 2276720
TreeView+ depends on / blocked
 
Reported: 2024-04-24 19:37 UTC by Zack Miele
Modified: 2024-04-24 19:43 UTC (History)
0 users

Fixed In Version: FreeRDP 3.5.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Embargoed:


Attachments (Terms of Use)

Description Zack Miele 2024-04-24 19:37:07 UTC
FreeRDP is a free implementation of the Remote Desktop Protocol. FreeRDP based clients prior to version 3.5.1 are vulnerable to out-of-bounds read. Version 3.5.1 contains a patch for the issue. No known workarounds are available.

https://github.com/FreeRDP/FreeRDP/commit/1a755d898ddc028cc818d0dd9d49d5acff4c44bf
https://oss-fuzz.com/testcase-detail/4852534033317888
https://oss-fuzz.com/testcase-detail/6196819496337408

Comment 1 Zack Miele 2024-04-24 19:43:50 UTC
Created freerdp tracking bugs for this issue:

Affects: fedora-38 [bug 2276965]
Affects: fedora-39 [bug 2276966]
Affects: fedora-40 [bug 2276963]


Created freerdp1.2 tracking bugs for this issue:

Affects: epel-7 [bug 2276964]


Created freerdp2 tracking bugs for this issue:

Affects: fedora-40 [bug 2276967]


Note You need to log in before you can comment on or make changes to this bug.